Page MenuHomePhabricator

Regression: Wikidata descriptions are always printed as "1" for tagline
Closed, ResolvedPublic

Description

Visit https://en.wikipedia.beta.wmflabs.org/wiki/Albert_Einstein
Notice the tagline is "1"

Not a problem on https://fr.m.wikipedia.org/wiki/Saint-P%C3%A9tersbourg
but is a problem on https://en.wikivoyage.org/wiki/Singapore
and http://en-reading-web-staging.wmflabs.org/w/index.php?title=T173949&mobileaction=beta

(Note: Cannot replicate locally.... Remember the Wikidata description rendering via the ContentProvider does not quite follow the same code path, so we may need reading web staging and the wikidata instance there to replicate this problem)

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 24 2019, 5:29 PM
Jdlrobson triaged this task as High priority.Jan 24 2019, 5:29 PM
Jdlrobson added projects: Regression, MinervaNeue.

Change 486343 had a related patch set uploaded (by Pmiazga; owner: Pmiazga):
[mediawiki/extensions/MobileFrontend@master] If wikidatadata description exists, set it as tagline

https://gerrit.wikimedia.org/r/486343

Change 486343 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] If wikidatadata description exists, set it as tagline

https://gerrit.wikimedia.org/r/486343

Change 486392 had a related patch set uploaded (by Jdlrobson; owner: Pmiazga):
[mediawiki/extensions/MobileFrontend@wmf/1.33.0-wmf.14] If wikidatadata description exists, set it as tagline

https://gerrit.wikimedia.org/r/486392

Change 486392 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@wmf/1.33.0-wmf.14] If wikidatadata description exists, set it as tagline

https://gerrit.wikimedia.org/r/486392

Mentioned in SAL (#wikimedia-operations) [2019-01-25T00:34:05Z] <ebernhardson@deploy1001> Synchronized php-1.33.0-wmf.14/extensions/MobileFrontend/: SWAT T214606 gerrit:486392: MobileFrontend if wikidatadata description exists, set it as tagline (duration: 00m 47s)

ovasileva closed this task as Resolved.Jan 30 2019, 12:37 AM
ovasileva claimed this task.
ovasileva added a subscriber: ovasileva.

All done here. Descriptions are back to what they were.